## zodb 3.6.0

=== doc/Makefile ===
MKHOWTO=mkhowto

MKHTML=$(MKHOWTO) --html --iconserver=. --split=4 --dvips-safe

ZODBTEX = guide/gfdl.tex guide/introduction.tex guide/modules.tex \
	  guide/prog-zodb.tex guide/storages.tex guide/transactions.tex \
	  guide/zeo.tex guide/zodb.tex 

default: pdf
all:	 pdf ps html

pdf:	storage.pdf zodb.pdf
ps:	storage.ps zodb.ps

html:	storage/storage.html zodb/zodb.html

storage.pdf: storage.tex
	$(MKHOWTO) --pdf $<

storage.ps: storage.tex
	$(MKHOWTO) --ps $<

storage/storage.html: storage.tex
	$(MKHTML) storage.tex

zodb.pdf: $(ZODBTEX)
	$(MKHOWTO) --pdf guide/zodb.tex

zodb.ps: $(ZODBTEX)
	$(MKHOWTO) --ps guide/zodb.tex

zodb/zodb.html: $(ZODBTEX)
	$(MKHTML) guide/zodb.tex

clobber:
	rm -rf storage.pdf storage.ps storage/ zodb.pdf zodb.ps zodb/

## zodb 3.9.7

=== debian/changelog ===
zodb (1:3.9.7-5) unstable; urgency=medium

  * Team upload.
  * persistent module was removed in the previous upload, but some headers
    were not. Thanks to Kirill Smelkov. Closes: #773699.

 -- Arnaud Fontaine <arnau@debian.org>  Wed, 24 Dec 2014 12:16:03 +0900

zodb (1:3.9.7-4) unstable; urgency=medium

  * Team upload.
  * Revert change in previous upload in favor of removing persistent
    module from this package and make it depend upon python-persistent
    (with upstream ACK). Closes: #767554.
    + d/control: Add Depends against python-persistent.
    + d/rules: Delete persistent module from final package.
    + d/p/persistent-module-4.x-compat.patch: persistent 4.x uses bytes
      instead of repr() but ZODB < 4.0.0a4 still uses repr() which is
      incompatible.
    + d/tests/all: Remove persistent from the list of tests being ran.
    + d/tests/control: zope.testing.doctest has been removed in
      python-zope.testing 4.0.0 and tests cannot be ran anymore. So update
      Depends accordingly even though << 4.0.0~ is only in stable instead of
      backporting many patches. Fix this issue properly when packing NUR
      after the release of Jessie.
  * d/p/test-spurious-failure-under-python27.patch: Fix python2.7 tests.

  [ Gediminas Paulauskas ]
  * d/p/new-transaction.patch: Fix test failure with new transaction.
  * d/p/testUtils.patch: Fix test failure with python2.7 (>= 2.7.6).
  * d/tests: Switch to zope.testrunner.

 -- Arnaud Fontaine <arnau@debian.org>  Tue, 16 Dec 2014 17:12:06 +0900

zodb (1:3.9.7-3) unstable; urgency=medium

  * Team upload.
  * d/control: ZODB3 >= 3.11a1 (python-zodb in Debian) has been split up
    into distinct packages (persistent, BTrees, ZODB and ZEO), so until
    python-zodb is updated to at least that version (eg after Jessie), add
    a Conflicts and Provides of python-persistent. Thanks to Andreas
    Beckmann. Closes: #767554.

 -- Arnaud Fontaine <arnau@debian.org>  Fri, 14 Nov 2014 18:34:36 +0900

zodb (1:3.9.7-2) unstable; urgency=low

  * Team upload.
  * debian/clean: remove to make sure all files are installed.
  * debian/source/options: ignore .egg-info directory.

 -- Arnaud Fontaine <arnau@debian.org>  Tue, 08 Nov 2011 22:53:37 +0900

zodb (1:3.9.7-1) unstable; urgency=low

  * Team upload.

  [ Arnaud Fontaine ]
  * debian/control: add Vcs-Browser.
  * debian/copyright: use versioned URL for DEP5 specification.
  * Add debian/clean to get rid of egg-info/* to prevent FTBFS if
    built twice.

  [ Gediminas Paulauskas ]
  * Switch to 3.0 (quilt) source format.
  * Use dh_python2 instead of python-central (Closes: #617157).
  * debian/patches/lp_135108.patch: put the security fix in a patch.

 -- Arnaud Fontaine <arnau@debian.org>  Wed, 19 Oct 2011 00:01:41 +0900

zodb (1:3.9.7-0ubuntu1) natty; urgency=low

  * New upstream bugfix release.
  * debian/rules:
    - move test dependencies to suggests.
    - stop making two python-version-specific copies of scripts in /usr/bin;
      avoids dependency on python2.6.
    - remove C source files.
  * debian/copyright: update, convert to dep5 format.
  * debian/tests/all: make it work on python >= 2.6.

 -- Gediminas Paulauskas <menesis@pov.lt>  Tue, 19 Apr 2011 19:57:15 +0300

zodb (1:3.9.4-1.1) unstable; urgency=low

  * Non-maintainer upload by the Security Team.
  * Fix CVE-2010-3495 (Closes: #599711)

 -- Moritz Muehlenhoff <jmm@debian.org>  Thu, 04 Nov 2010 18:50:19 +0100

zodb (1:3.9.4-1) unstable; urgency=low

  [ Brian Sutherland ]
  * debian/tests/all: Test the correct python modules.

  [ Fabio Tranchitella ]
  * New upstream release.
  * Convert to debhelper 7 and the pydeb dh7 extension.

 -- Fabio Tranchitella <kobold@debian.org>  Tue, 05 Jan 2010 22:22:35 +0100

zodb (1:3.9.1-2) unstable; urgency=low

  * debian/control: build-depend on python-van.pydeb >= 1.3.0-2.
    (Closes: #552936)

 -- Fabio Tranchitella <kobold@debian.org>  Sun, 08 Nov 2009 11:01:32 +0100

zodb (1:3.9.1-1) unstable; urgency=low

  * New upstream release.

 -- Fabio Tranchitella <kobold@debian.org>  Mon, 12 Oct 2009 06:41:05 +0000

zodb (1:3.9.0-2) unstable; urgency=low

  * Set section to zope.
  * Rebuild against van.pydeb 1.3.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 Sep 2009 21:33:13 +0200

zodb (1:3.9.0-1) unstable; urgency=low

  * New upstream release.

 -- Fabio Tranchitella <kobold@debian.org>  Tue, 08 Sep 2009 23:36:22 +0200

zodb (1:3.8.3-2) unstable; urgency=low

  * debian/rules: fixed a bashism. (Closes: #545628, #545150)

 -- Fabio Tranchitella <kobold@debian.org>  Tue, 08 Sep 2009 23:30:16 +0200

zodb (1:3.8.3-1) unstable; urgency=low

  * New upstream release.

 -- Fabio Tranchitella <kobold@debian.org>  Wed, 02 Sep 2009 07:19:54 +0200

zodb (1:3.8.2-2) unstable; urgency=low

  * Get rid of the python2.3 dependency patching the ZEO and ZODB scripts to
    not hardcode python2.3. (Closes: #541972)

 -- Fabio Tranchitella <kobold@debian.org>  Sat, 29 Aug 2009 16:03:01 +0200

zodb (1:3.8.2-1) unstable; urgency=high

  * New upstream release, fixes security issues. (Closes: #540465)
  * Standards-Version: 3.8.3, no changed required.
  * A rebuild is enough to get rid of the python2.3 dependency.
    (Closes: #541972)

 -- Fabio Tranchitella <kobold@debian.org>  Fri, 28 Aug 2009 11:06:03 +0200

zodb (1:3.8.1-1) unstable; urgency=low

  * New upstream release.

 -- Fabio Tranchitella <kobold@debian.org>  Thu, 18 Jun 2009 17:37:28 +0200

zodb (1:3.6.0-4) unstable; urgency=low

  * debian/patches/py2.6.dpatch: updated, to make it really working.
  * debian/rules: added --prefix=/usr to setup.py.

 -- Fabio Tranchitella <kobold@debian.org>  Tue, 07 Apr 2009 11:33:08 +0200

zodb (1:3.6.0-3) unstable; urgency=low

  * debian/control: build the package for all the available python versions.
    (Closes: #472392)

 -- Fabio Tranchitella <kobold@debian.org>  Sun, 29 Mar 2009 21:40:43 +0200

zodb (1:3.6.0-2) unstable; urgency=low



=== debian/control ===
Source: zodb
Section: zope
Priority: extra
Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
Uploaders: Brian Sutherland <brian@vanguardistas.net>,
           Fabio Tranchitella <kobold@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
               python-all-dev (>= 2.6.6-3~),
               python-setuptools,
               python-van.pydeb (>= 1.3.0-4)
Standards-Version: 3.9.2
X-Python-Version: >= 2.4
Vcs-Svn: svn://svn.debian.org/pkg-zope/zodb/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-zope/zodb/trunk
Homepage: http://zodb.org/

Package: python-zodb
Architecture: any
Depends: ${pydeb:Depends},
         ${python:Depends},
         ${misc:Depends},
         ${shlibs:Depends},
         python-persistent
Provides: ${pydeb:Provides},
          ${python:Provides},
Suggests: ${pydeb:Suggests}
Conflicts: zope3
Description: Zope Object Database (ZODB)
 The Zope Object Database is an object-oriented database for Python that
 provides a high-degree of transparency. Applications can take advantage of
 object database features with few, if any, changes to application logic. 
 .
 ZODB includes features such as a pluggable storage interface, rich transaction
 support, and undo.

=== debian/rules ===
#!/usr/bin/make -f

export PYDEB_SUGGESTS_EXTRAS=test

%:
	dh --with pydeb --with python2 $@

override_dh_install:
	dh_install
	# replace python2.[0-9] shebangs with python
	for script in debian/python-zodb/usr/lib/python2.*/*-packages/*/scripts/*.py \
	              debian/python-zodb/usr/lib/python2.*/*-packages/*/zeoctl.py; do \
	    sed -i -e "s,/usr/bin/env python2.[0-9],/usr/bin/python,g" $$script; \
	done
	# remove C source files
	find debian/python-zodb -name '*.c' -delete
	# remove persistent module provided by python-persistent instead
	find debian/python-zodb -type d -name 'persistent' -prune -exec rm -rf {} \;

=== debian/tests/control ===
Tests: all
Depends: @, python-zope.testrunner, python-zope.testing (<< 4.0.0~)

## zodb 3.10.5

=== debian/changelog ===
zodb (1:3.10.5-0ubuntu3) trusty; urgency=low

  * debian/patches/testUtils.patch: Fix test failure with python2.7 (>= 2.7.6)

 -- Gediminas Paulauskas <menesis@pov.lt>  Tue, 17 Dec 2013 15:32:36 +0200

zodb (1:3.10.5-0ubuntu2) saucy; urgency=low

  * debian/patches/no_manuel.patch: add to remove manuel from dependencies.
  * debian/rules:
    - delete test files that import manuel.
    - do not fix shebangs, dh_python2 does it for us.
  * debian/compat: bump to 9
  * debian/control:
    - enable autopkgtest (Closes: #692708).
    - remove ${python:Provides} to avoid creating virtual versioned package.
    - use canonical URI for Vcs-Svn and Vcs-Browser.
    - bump Standards-Version to 3.9.4

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 04 Jul 2013 01:42:44 +0300

zodb (1:3.10.5-0ubuntu1) raring; urgency=low

  * New upstream release.
  * debian/patches/lp_135108.patch: remove, fixed upstream.
  * debian/control: requires Python 2.5 or later.
  * debian/tests: switch to zope.testrunner.
  * debian/rules: install upstream changelog.

 -- Gediminas Paulauskas <menesis@pov.lt>  Tue, 04 Dec 2012 19:24:29 +0200

=== debian/control ===
Source: zodb
Section: zope
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
Uploaders: Brian Sutherland <brian@vanguardistas.net>,
           Fabio Tranchitella <kobold@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
               python-all-dev (>= 2.6.6-3~),
               python-setuptools,
               python-van.pydeb,
Standards-Version: 3.9.4
X-Python-Version: >= 2.5
XS-Testsuite: autopkgtest
Vcs-Svn: svn://anonscm.debian.org/pkg-zope/zodb/trunk
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-zope/zodb/trunk
Homepage: http://zodb.org/

Package: python-zodb
Architecture: any
Depends: ${pydeb:Depends},
         ${python:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Provides: ${pydeb:Provides}
Suggests: ${pydeb:Suggests}
Conflicts: zope3
Description: Zope Object Database (ZODB)
 The Zope Object Database is an object-oriented database for Python that
 provides a high-degree of transparency. Applications can take advantage of
 object database features with few, if any, changes to application logic. 
 .
 ZODB includes features such as a pluggable storage interface, rich transaction
 support, and undo.

=== debian/rules ===
#!/usr/bin/make -f

export PYDEB_SUGGESTS_EXTRAS=test

%:
	dh $@ --with pydeb --with python2

override_dh_install:
	dh_install
	# remove tests that import manuel, not available
	rm debian/python-zodb/usr/lib/python2.*/*-packages/ZODB/tests/testconflictresolution.py
	rm debian/python-zodb/usr/lib/python2.*/*-packages/ZODB/tests/testhistoricalconnections.py
	# remove C source files
	find debian/python-zodb -name '*.c' -delete

override_dh_installchangelogs:
	dh_installchangelogs src/CHANGES.txt

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/Z/ZODB3/ZODB3-([0-9.]*)\.tar\.gz

## zodb 3.10.5%2B1.gb28a24c

=== debian/changelog ===
zodb (1:3.10.5+1.gb28a24c-1) unstable; urgency=medium

  * Team upload.

  [ Gediminas Paulauskas ]
  * New upstream release 3.10.5
  * debian/patches/lp_135108.patch: remove, fixed upstream.
  * debian/rules:
    - do not fix shebangs, dh_python2 does it for us.
    - install upstream changelog.
  * debian/compat: bump to 9
  * debian/control:
    - require debhelper 9
    - enable autopkgtest (Closes: #692708).
    - remove ${python:Provides} to avoid creating virtual versioned package.
    - use canonical URI for Vcs-Svn and Vcs-Browser.
    - requires Python 2.5 or later.

  [ Arnaud Fontaine ]
  * d/p/persistent-module-4.x-compat.patch: Refreshed.
  * d/p/test-spurious-failure-under-python27.patch: Not needed anymore as the
    test has been removed upstream.

  [ Julien Muchembled ]
  * Merge 1:3.9.7-5
  * New upstream 3.10.x snapshot (2014-03-10).
    - drop patches merged upstream: new-transaction.patch, testUtils.patch
    - add get-orig-source rule to download source
  * Manage patches with gbp-pq.
  * Add patch to fix possible data corruption after FileStorage is truncated
    to roll back a transaction.
  * Fix debian/watch by using pypi.debian.net redirector.
  * autopkgtest:
    - fix broken dependency (the test suite don't require anymore an old
      version of python-zope.testing)
    - make sure tests are not run with root user
    - depend on python-manuel, as required by a few tests
  * Update Standards-Version to 3.9.6 (no change needed).
  * debian/control:
    - build-depend on dh-python, as requested by dh_python2
    - build-depend on python-van.pydeb >= 1.3.3-2 to fix FTBFS with
      python-pkg-resources >= 12.2 (Closes: #790767)

 -- Julien Muchembled <jm@jmuchemb.eu>  Tue, 11 Aug 2015 17:00:43 +0200

## zodb 3.10.5+1.gb28a24c

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: zodb
 Section: zope
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
+Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
 Uploaders: Brian Sutherland <brian@vanguardistas.net>,
            Fabio Tranchitella <kobold@debian.org>
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends: debhelper (>= 9),
                python-all-dev (>= 2.6.6-3~),
                python-setuptools,
-               python-van.pydeb,
-Standards-Version: 3.9.4
+               python-van.pydeb (>= 1.3.3-2),
+               dh-python,
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.5
 XS-Testsuite: autopkgtest
 Vcs-Svn: svn://anonscm.debian.org/pkg-zope/zodb/trunk
@@ -21,7 +21,8 @@
 Depends: ${pydeb:Depends},
          ${python:Depends},
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
+         python-persistent
 Provides: ${pydeb:Provides}
 Suggests: ${pydeb:Suggests}
 Conflicts: zope3

=== debian/rules ===
#!/usr/bin/make -f

export PYDEB_SUGGESTS_EXTRAS=test

PKD  = $(abspath $(dir $(MAKEFILE_LIST)))
PKG  = $(word 2, $(shell dpkg-parsechangelog -l$(PKD)/changelog))
UVER = $(shell dpkg-parsechangelog -l$(PKD)/changelog | \
               sed -nr 's/^Version: (.*:)?(.*)-(.*)/\2/p')

.PHONY: get-orig-source
get-orig-source: $(PKG)_$(UVER).orig.tar.gz
$(PKG)_$(UVER).orig.tar.gz:
	set $(UVER); wget -O $@ https://github.com/zopefoundation/ZODB/archive/$${1#*.g}.tar.gz

%:
	dh $@ --with pydeb --with python2

override_dh_install:
	dh_install
	# remove C source files
	find debian/python-zodb -name '*.c' -delete
	# remove persistent module provided by python-persistent instead
	find debian/python-zodb -type d -name 'persistent' -prune -exec rm -rf {} \;

override_dh_installchangelogs:
	dh_installchangelogs src/CHANGES.txt

=== debian/watch ===
version=3
http://pypi.debian.net/ZODB/ZODB-([0-9.]+)\.tar\.gz

## zodb 3.10.7

=== debian/changelog ===
zodb (1:3.10.7-1build1) bionic; urgency=medium

  * No change rebuild to bump version

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 02 Dec 2017 13:17:04 +0100

zodb (1:3.10.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 3.10.7
    - drop patch merged upstream:
      Fix-possible-data-corruption-after-FileStorage-is-tr.patch
    - new patch to make tests run with transaction < 1.6.1:
      Revert-Update-synchronizers-tests-wrt-to-transaction.patch
  * Use pybuild instead of van.pydeb.
  * Use debhelper 10.
  * d/control:
    - Drop 'Conflicts: zope3': this package was removed long time ago.
    - Update Standards-Version to 3.9.8 (no change needed).
    - Use HTTPS for Vcs-Browser.
    - Set section back to 'python'. As clarified upstream:
      « ZODB doesn't depend on Zope in any way and is used in many projects
        that have nothing to do with Zope. »
      This also fixes an override disparity.
  * d/copyright: update Copyright: year.
  * d/watch: fix by refreshing it from pypi.debian.net

 -- Julien Muchembled <jm@jmuchemb.eu>  Sat, 21 Jan 2017 22:25:01 +0100

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 
-export PYDEB_SUGGESTS_EXTRAS=test
+export PYBUILD_NAME=zodb
+
+# All tests are run by autopkgtest.
+export PYBUILD_DISABLE = test
 
 PKD  = $(abspath $(dir $(MAKEFILE_LIST)))
 PKG  = $(word 2, $(shell dpkg-parsechangelog -l$(PKD)/changelog))
@@ -13,7 +16,7 @@
 	set $(UVER); wget -O $@ https://github.com/zopefoundation/ZODB/archive/$${1#*.g}.tar.gz
 
 %:
-	dh $@ --with pydeb --with python2
+	dh $@ --with python2 --buildsystem=pybuild
 
 override_dh_install:
 	dh_install

=== debian/tests/control ===
Tests: all
Depends: @, python-zope.testrunner, python-zope.testing, python-manuel

=== debian/watch ===
# please also check https://pypi.debian.net/ZODB/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/ZODB/ZODB-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
